Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

The only prerequisite for running SonarQube is to have Java (Oracle JRE 6 onwards or OpenJDK 7 onwards ) installed on your machine.

...

  1. The SonarQube web server requires at least 500Mb 500 Mb of RAM to run efficiently.
  2. The amount of disk space you need will depend on how much code you analyze with SonarQube. As an example, Nemo the public instance of SonarQube, has more than 13 10 millions Lines lines of Code code under analysis with 4 years of history. Nemo is currently running on a Amazon EC2 small instance, using  about 10 Gb of drive space

Supported Platforms

 

H2(tick) Bundled with SonarQube but supported for evaluation purpose only. Although using the H2 database gives access to a fully functional version, upgrades are disabled. Moreover it is not possible to migrate from a H2 database to an enterprise database. Therefore, H2 must not NOT be used to set up a production environment.

Java

 

The SonarQube Java analyser is able to analyse any kind of java source files whatever is the version of Java they comply to. But SonarQube analysis and SonarQube server require some specific versions of the JVM to be executed.

Oracle JRE

(tick) 6

(tick) 7 (faster analysis than with version 6)

(tick) 8 (Since SonarQube 4.3:

JIRA
serverjira.codehaus.org
serverId783251d2-f893-303d-8e04-42a47af1ca3a
keySONAR-5191
)

OpenJDK

(error) 6

(tick) 7

(tick) 8

IBM JRE

(error)

GCJ

(error)

Oracle JRockit(error)

Database

Anchor
h2Requirementsh2Requirements
The charset of the database has to be set to "UTF-8" and the language to "English".

Microsoft SQL Server

(tick) 2005 (MSSQL Server 9.0) with bundled jTDS driver. Microsoft drivers are not supported. Express Edition is supported.
(tick) 2008 (MSSQL Server 10.0) with bundled jTDS driver. Microsoft drivers are not supported. Express Edition is supported.
(warning) Collation must be case-sensitive (CS) and accent-sensitive (AS)

MySQL

(tick) 5.0, 5.1 and 5.5 with the driver packaged within SonarQube.
(tick) 5.6 is supported since SonarQube 3.5
(warning) Only InnoDB engine is supported.

Oracle

(tick) 10G with Oracle 11.2.x drivers
(tick) 11G with Oracle 11.2.x drivers
(tick) XE Editions are supported
(warning) The driver ojdbc14.jar is not supported
(warning) Only the thin mode is supported, not OCI

PostgreSQL

(tick) 8.3 x
(tick) 8.4
(tick) 9.0
(tick) 9.1

Application Server

Jetty

(tick) Bundled with SonarQube

Apache Tomcat

(tick) 6.0
(tick) 7.0

JBoss(error)
GlassFish(error)

x

 Web Browser

To get the full experience SonarQube has to offer, you should enable Javascript in your browser.

Microsoft Internet Explorer

(tick) IE8 (error) IE 8
(tick) IE 9
(tick) IE9 IE 10
(warning) IE 11 Not tested (https://jira.codehaus.org/browse/SONAR-5255)

Mozilla Firefox

(tick) Supported

Google Chrome

(tick) Supported

Opera

(warning) Not tested

Safari

(tick) Supported

...